/*
   client/mapwidget.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_MAPWIDGET_H__
#define __INCLUDED_CLIENT_MAPWIDGET_H__

#include "core/zone.h"
#include "ui/widget.h"

namespace client {
	
class MapWidget : public ui::Widget {
public:
	MapWidget(ui::Widget *parent = 0);
	virtual ~MapWidget();
	
	void set_zoom(const float zoom);
	
	void set_zone(core::Zone *zone);
	
	void set_target(const core::Entity *entity);
	
	inline unsigned int hover() {
		return mapwidget_hover_id;
	}

protected:
	virtual void draw();
	
private:	
	float			mapwidget_zoom;
	
	core::Zone		*mapwidget_zone;
	const core::Entity	*mapwidget_target;
	unsigned int		mapwidget_hover_id;
	
}; // class MapWidget

} // namespace client
#endif // __INCLUDED_CLIENT_MAPWIDGET_H__
