/*
   client/testmodelwindow.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_TESTMODELWINDOW_H__
#define __INCLUDED_CLIENT_TESTMODELWINDOW_H__

#include "ui/widget.h"
#include "ui/button.h"
#include "ui/iconbutton.h"
#include "ui/plaintext.h"
#include "ui/modelview.h"

namespace client
{

/// the world view when connected
class TestModelWindow : public ui::Widget
{
public:
	TestModelWindow(ui::Widget *parent = 0);
	virtual ~TestModelWindow();

	void set_modelname(const std::string & modelname);

protected:
	/// update model statistics
	virtual void draw();
	
	/**
	 * @brief resize the window
	 * TestModelWindow will copy its parent's size
	 **/
	virtual void resize();
	
	/// draw a black background
	virtual void draw_background();
	
	/// emit event handler
	virtual bool on_emit(Widget *sender, const Event event, void *data);
	
private:
	ui::ModelView	*testmodelwindow_modelview;
	ui::PlainText	*testmodelwindow_text;
	ui::Button	*testmodelwindow_closebutton;
	ui::IconButton	*testmodelwindow_wireframebutton;
	ui::IconButton	*testmodelwindow_normalsbutton;
	
};	// class TestModelWindow

}	// namespace client

#endif	// __INCLUDED_CLIENT_TESTMODELWINDOW_H__
