/*
   core/module.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "auxiliary/functions.h"
#include "core/module.h"
#include "sys/sys.h"

namespace core
{

Module*		Module::module_instance = 0;

Module::Module(const char *name, bool interactive) :
		module_name(name)
{
	module_running = true;
	module_interactive = interactive;

	if (module_instance) {
		std::cerr << "multiple core::Module instances\n";
		abort();
	} else {
		module_instance = this;
	}
}

Module::~Module()
{
	module_running = false;
	module_name.clear();
	module_instance = 0;
}

void Module::set_label(const std::string &label)
{
	module_label.assign(label);
}

void Module::abort()
{
	module_running = false;
}

void Module::player_load(Player *player)
{
}

void Module::player_save(Player *player)
{
}

}
